### Function

# Gtk TreeModelFilterModifyFunc

#### Declaration

    void
    (* GtkTreeModelFilterModifyFunc) (
      GtkTreeModel* model,
      GtkTreeIter* iter,
      GValue* value,
      int column,
      gpointer data
    )

#### Description [src]

A function which calculates display values from raw values in the model. It must fill `value` with the display value for the column `column` in the row indicated by `iter`.

Since this function is called for each data access, it’s not a particularly efficient operation.

#### Parameters

`model`

  Type: `GtkTreeModel`

  The `GtkTreeModelFilter`

  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  A `GtkTreeIter` pointing to the row whose display values are determined.

  The data is owned by the caller of the function.

`value`

  Type: `GValue`

  A `GValue` which is already initialized for with the correct type for the column `column`.

  The argument will be set by the function.
  The data is owned by the function.

`column`

  Type: `int`

  The column whose display value is determined.

`data`

  Type: `gpointer`

  User data given to `gtk_tree_model_filter_set_modify_func()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.